import { JSONArray } from '../../json';
export interface ServiceClientParams {
    url: string;
    timeout: number;
    token?: string;
}
export declare abstract class ServiceClient {
    abstract module: string;
    url: string;
    timeout: number;
    token?: string;
    constructor({ url, timeout, token }: ServiceClientParams);
    callFunc<ParamType extends JSONArray, ReturnType extends JSONArray>(funcName: string, params: ParamType): Promise<ReturnType>;
    callFuncEmptyResult<ParamType extends JSONArray>(funcName: string, params: ParamType): Promise<void>;
}
