import { JSONObject } from '../../json';
import { ServiceClient } from '../JSONRPC11/ServiceClient';
export interface Service {
    module_name: string;
    version: string | null;
}
export interface ServiceStatus {
    module_name: string;
    version: string;
    git_commit_hash: string;
    release_tags: Array<string>;
    hash: string;
    url: string;
    up: number;
    status: string;
    health: string;
}
export interface GetServiceStatusParams extends JSONObject {
    module_name: string;
    version: string | null;
}
export interface GetServiceStatusResult extends JSONObject {
    module_name: string;
    version: string;
    git_commit_hash: string;
    release_tags: Array<string>;
    hash: string;
    url: string;
    up: number;
    status: string;
    health: string;
}
export declare class ServiceWizardClient extends ServiceClient {
    module: string;
    get_service_status(params: GetServiceStatusParams): Promise<GetServiceStatusResult>;
}
